Entur Developer
Products

reserving

Server

Retrieves all reserving rules

GET
https://api.entur.io/products
/reserving

Retrieves all reserving rules › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify an organisation

fareFrameId
​string · style: form · explode: true

The unique id to identify dataset to an organization

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrieves all reserving rules › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all reserving rules › Responses

Returns the info

Reserving
changed
​string · required

Changed datetime.

created
​string · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

References for associated fare tables.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Reserving:SeatAsAccommodationReserving
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: Reserving
status
​string · enum · required

Reserving status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Reserving version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

feeBasis
​string · enum

Fee basis.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
​LimitingRule

A LimitingRule

​VersionOfObjectRef

Fare frame ref.

maximumNumberToReserve
​integer · int32

Maximum amount to reserve.

minimumNumberToReserve
​integer · int32

Minimum amount to reserve.

mustReserveWholeCompartment
​boolean

Must reserve whole compartment

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

​FarePrice[]

Prices in different currencies for the reserving rule.

reservationChargeType
​string · enum

Type of charge for reservation.

Enum values:
NONE
SINGLE_FEE_FOR_RETURN_TRIP
FEE_FOR_EACH_DIRECTION
FEE_FOR_EACH_LEG
Example: NONE
reservingRequirements
​string · enum

Requirements for reservation.

Enum values:
RESERVATIONS_COMPULSORY
RESERVATIONS_COMPULSORY_FOR_GROUPS
RESERVATIONS_COMPULSORY_FOR_FIRST_CLASS
RESERVATIONS_COMPULSORY_FROM_ORIGIN_STATION
RESERVATIONS_RECOMMENDED
RESERVATIONS_POSSIBLE
RESERVATIONS_POSSIBLE_ONLY_IN_FIRST_CLASS
RESERVATIONS_POSSIBLE_ONLY_IN_SECOND_CLASS
Example: RESERVATIONS_COMPULSORY
typeOfUsageParameter
​string

Type of usage parameter for the reservation.

Example: NSB:TypeOfUsageParameter:OpenSeating

Create a reserving rule

POST
https://api.entur.io/products
/reserving

Create a reserving rule › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a reserving rule › Request Body

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Reserving:SeatAsAccommodationReserving
​TextInLanguage[] · required

Name represented in different languages. Language codes are ISO-639.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Reserving version.

Example: NSB:Version:V1
​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

feeBasis
​string · enum

Fee basis.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
maximumNumberToReserve
​integer · int32

Maximum amount to reserve.

minimumNumberToReserve
​integer · int32

Minimum amount to reserve.

mustReserveWholeCompartment
​boolean

Must reserve whole compartment

​FarePrice[]

Prices for the reserving.

reservationChargeType
​string · enum

Type of charge for reservation.

Enum values:
NONE
SINGLE_FEE_FOR_RETURN_TRIP
FEE_FOR_EACH_DIRECTION
FEE_FOR_EACH_LEG
Example: NONE
reservingRequirements
​string · enum

Requirements for reservation.

Enum values:
RESERVATIONS_COMPULSORY
RESERVATIONS_COMPULSORY_FOR_GROUPS
RESERVATIONS_COMPULSORY_FOR_FIRST_CLASS
RESERVATIONS_COMPULSORY_FROM_ORIGIN_STATION
RESERVATIONS_RECOMMENDED
RESERVATIONS_POSSIBLE
RESERVATIONS_POSSIBLE_ONLY_IN_FIRST_CLASS
RESERVATIONS_POSSIBLE_ONLY_IN_SECOND_CLASS
Example: RESERVATIONS_COMPULSORY
typeOfUsageParameter
​string

Type of usage parameter for the reservation.

Example: NSB:TypeOfUsageParameter:ThroughFareInterchanging

Create a reserving rule › Responses

Entity created successfully


Retrieves a reserving rule by ID.

GET
https://api.entur.io/products
/reserving/{id}

Retrieves a reserving rule by ID. › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique ID to identify a reserving.

Retrieves a reserving rule by ID. › query Parameters

version
​string · style: form · explode: true

The ID for the version of the reservation.

languageCode
​string · style: form · explode: true

The language code from ISO-639-3.

Retrieves a reserving rule by ID. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a reserving rule by ID. › Responses

Returns the reserving.

Reserving
changed
​string · required

Changed datetime.

created
​string · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

References for associated fare tables.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Reserving:SeatAsAccommodationReserving
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: Reserving
status
​string · enum · required

Reserving status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Reserving version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

feeBasis
​string · enum

Fee basis.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
​LimitingRule

A LimitingRule

​VersionOfObjectRef

Fare frame ref.

maximumNumberToReserve
​integer · int32

Maximum amount to reserve.

minimumNumberToReserve
​integer · int32

Minimum amount to reserve.

mustReserveWholeCompartment
​boolean

Must reserve whole compartment

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

​FarePrice[]

Prices in different currencies for the reserving rule.

reservationChargeType
​string · enum

Type of charge for reservation.

Enum values:
NONE
SINGLE_FEE_FOR_RETURN_TRIP
FEE_FOR_EACH_DIRECTION
FEE_FOR_EACH_LEG
Example: NONE
reservingRequirements
​string · enum

Requirements for reservation.

Enum values:
RESERVATIONS_COMPULSORY
RESERVATIONS_COMPULSORY_FOR_GROUPS
RESERVATIONS_COMPULSORY_FOR_FIRST_CLASS
RESERVATIONS_COMPULSORY_FROM_ORIGIN_STATION
RESERVATIONS_RECOMMENDED
RESERVATIONS_POSSIBLE
RESERVATIONS_POSSIBLE_ONLY_IN_FIRST_CLASS
RESERVATIONS_POSSIBLE_ONLY_IN_SECOND_CLASS
Example: RESERVATIONS_COMPULSORY
typeOfUsageParameter
​string

Type of usage parameter for the reservation.

Example: NSB:TypeOfUsageParameter:OpenSeating

Retrieves a reserving rule by id and version.

GET
https://api.entur.io/products
/reserving/{id}/{version}

Retrieves a reserving rule by id and version. › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique ID to identify a reserving.

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The ID for the version of the reservation.

Retrieves a reserving rule by id and version. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a reserving rule by id and version. › Responses

Returns the reserving.

Reserving
changed
​string · required

Changed datetime.

created
​string · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

References for associated fare tables.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Reserving:SeatAsAccommodationReserving
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: Reserving
status
​string · enum · required

Reserving status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Reserving version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

feeBasis
​string · enum

Fee basis.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
​LimitingRule

A LimitingRule

​VersionOfObjectRef

Fare frame ref.

maximumNumberToReserve
​integer · int32

Maximum amount to reserve.

minimumNumberToReserve
​integer · int32

Minimum amount to reserve.

mustReserveWholeCompartment
​boolean

Must reserve whole compartment

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

​FarePrice[]

Prices in different currencies for the reserving rule.

reservationChargeType
​string · enum

Type of charge for reservation.

Enum values:
NONE
SINGLE_FEE_FOR_RETURN_TRIP
FEE_FOR_EACH_DIRECTION
FEE_FOR_EACH_LEG
Example: NONE
reservingRequirements
​string · enum

Requirements for reservation.

Enum values:
RESERVATIONS_COMPULSORY
RESERVATIONS_COMPULSORY_FOR_GROUPS
RESERVATIONS_COMPULSORY_FOR_FIRST_CLASS
RESERVATIONS_COMPULSORY_FROM_ORIGIN_STATION
RESERVATIONS_RECOMMENDED
RESERVATIONS_POSSIBLE
RESERVATIONS_POSSIBLE_ONLY_IN_FIRST_CLASS
RESERVATIONS_POSSIBLE_ONLY_IN_SECOND_CLASS
Example: RESERVATIONS_COMPULSORY
typeOfUsageParameter
​string

Type of usage parameter for the reservation.

Example: NSB:TypeOfUsageParameter:OpenSeating

Update a reserving rule

PUT
https://api.entur.io/products
/reserving/{id}/{version}

Update a reserving rule › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique ID to identify a reserving.

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The ID for the version of the reservation.

Update a reserving rule › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update a reserving rule › Request Body

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Reserving:SeatAsAccommodationReserving
​TextInLanguage[] · required

Name represented in different languages. Language codes are ISO-639.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Reserving version.

Example: NSB:Version:V1
​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

feeBasis
​string · enum

Fee basis.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
maximumNumberToReserve
​integer · int32

Maximum amount to reserve.

minimumNumberToReserve
​integer · int32

Minimum amount to reserve.

mustReserveWholeCompartment
​boolean

Must reserve whole compartment

​FarePrice[]

Prices for the reserving.

reservationChargeType
​string · enum

Type of charge for reservation.

Enum values:
NONE
SINGLE_FEE_FOR_RETURN_TRIP
FEE_FOR_EACH_DIRECTION
FEE_FOR_EACH_LEG
Example: NONE
reservingRequirements
​string · enum

Requirements for reservation.

Enum values:
RESERVATIONS_COMPULSORY
RESERVATIONS_COMPULSORY_FOR_GROUPS
RESERVATIONS_COMPULSORY_FOR_FIRST_CLASS
RESERVATIONS_COMPULSORY_FROM_ORIGIN_STATION
RESERVATIONS_RECOMMENDED
RESERVATIONS_POSSIBLE
RESERVATIONS_POSSIBLE_ONLY_IN_FIRST_CLASS
RESERVATIONS_POSSIBLE_ONLY_IN_SECOND_CLASS
Example: RESERVATIONS_COMPULSORY
typeOfUsageParameter
​string

Type of usage parameter for the reservation.

Example: NSB:TypeOfUsageParameter:ThroughFareInterchanging

Update a reserving rule › Responses

Entity updated successfully

No data returned

Retrieves a reserving rule by ID

GET
https://api.entur.io/products
/v1/reserving/{id}

Retrieves a reserving rule by ID › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique ID to identify a reserving.

Retrieves a reserving rule by ID › query Parameters

startDate
​string · style: form · explode: true
endDate
​string · style: form · explode: true
status
​string · style: form · explode: true

The version status of the reserving rule.

fromDate
​string · style: form · explode: true

The from date of the reserving rule version.

toDate
​string · style: form · explode: true

The to date of the reserving rule version.

Retrieves a reserving rule by ID › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3.

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a reserving rule by ID › Responses

Returns the reserving rule.

​Reserving[]
Reserving
changed
​string · required

Changed datetime.

created
​string · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

​VersionOfObjectRef[] · required

References for associated fare tables.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Reserving:SeatAsAccommodationReserving
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: Reserving
status
​string · enum · required

Reserving status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Reserving version.

Example: NSB:Version:V1
compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

feeBasis
​string · enum

Fee basis.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
​LimitingRule

A LimitingRule

​VersionOfObjectRef

Fare frame ref.

maximumNumberToReserve
​integer · int32

Maximum amount to reserve.

minimumNumberToReserve
​integer · int32

Minimum amount to reserve.

mustReserveWholeCompartment
​boolean

Must reserve whole compartment

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

​FarePrice[]

Prices in different currencies for the reserving rule.

reservationChargeType
​string · enum

Type of charge for reservation.

Enum values:
NONE
SINGLE_FEE_FOR_RETURN_TRIP
FEE_FOR_EACH_DIRECTION
FEE_FOR_EACH_LEG
Example: NONE
reservingRequirements
​string · enum

Requirements for reservation.

Enum values:
RESERVATIONS_COMPULSORY
RESERVATIONS_COMPULSORY_FOR_GROUPS
RESERVATIONS_COMPULSORY_FOR_FIRST_CLASS
RESERVATIONS_COMPULSORY_FROM_ORIGIN_STATION
RESERVATIONS_RECOMMENDED
RESERVATIONS_POSSIBLE
RESERVATIONS_POSSIBLE_ONLY_IN_FIRST_CLASS
RESERVATIONS_POSSIBLE_ONLY_IN_SECOND_CLASS
Example: RESERVATIONS_COMPULSORY
typeOfUsageParameter
​string

Type of usage parameter for the reservation.

Example: NSB:TypeOfUsageParameter:OpenSeating

Did you find what you were looking for?